<script setup>
import { RouterLink, RouterView } from 'vue-router'
import { mapMutations } from 'vuex';
import store from "./store";

import Executor from "./views/main_view/Executor.vue";
import SquadronCommaner from "./views/main_view/SquadronCommaner.vue";
import KeyCommander from "./views/main_view/KeyCommander.vue";
import NotAuth from "./views/main_view/NotAuth.vue";
</script>

<template>
<div>
  <NotAuth v-if="!isAuthenticated"/>
  <SquadronCommaner v-else-if="$store.state.user?.is_superuser" />
  <KeyCommander v-else-if="$store.state.user?.is_staff" />
  <Executor v-else />
</div>
</template>


<script>

export default {
  name: "App",
  computed: {
    isAuthenticated: function() {
      return this.$store.state.isAuthenticated
    }
  }
}
</script>


<style>
@import '@/assets/base.css';

body {
  background-color: wheat;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
  margin: 10px;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
